API: Themes
Workspace dashboard themes. All endpoints require authentication unless noted. 4 endpoints.
GET /api/themes
Section titled “GET /api/themes”List custom dashboard themes
Responses: 200 · 400 · 401
POST /api/themes
Section titled “POST /api/themes”Create a custom dashboard theme
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | yes | |
tokens |
object | yes |
Responses: 201 · 400 · 401 · 409
PUT /api/themes/{id}
Section titled “PUT /api/themes/{id}”Update a custom dashboard theme
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | no | |
tokens |
object | no |
Responses: 200 · 400 · 401 · 404
DELETE /api/themes/{id}
Section titled “DELETE /api/themes/{id}”Delete a custom dashboard theme
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Responses: 204 — No content · 401 · 404